Update privileges for a local, or Active Directory user or group and SVM
Updates the privileges for a specified local or Active Directory user or group and SVM, ensuring the correct permissions are in place for accessing resources. Use this operation when you need to modify existing privileges or reset them by providing an empty privileges list.
HTTP method and endpoint
PATCH /protocols/cifs/users-and-groups/privileges/{svm.uuid}/{name}
Introduced in
ONTAP 9.10
Usage notes
Updates privileges of the specified local or Active Directory user or group and SVM.
Important note
-
Specified privileges will replace all the existing privileges associated with the user or group.
-
To reset privileges associated with the user or group, specify the privileges list as empty.
Related ONTAP commands
-
vserver cifs users-and-groups privilege reset-privilege
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
Local or Active Directory user or group name. |
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
privileges |
array[string] |
An array of privileges associated with the local or Active Directory user or group. The available values are:
|
Example request
{
"privileges": [
"string"
]
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
262196 |
Field 'svm.name' is not supported in the body of PATCH request. |
262203 |
Field 'svm.uuid' is not supported in the body of PATCH request. |
655673 |
Failed to resolve the user or group. |
655730 |
The specified local user to which privileges are to be associated to does not exist. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
user_group_privileges
| Name | Type | Description |
|---|---|---|
privileges |
array[string] |
An array of privileges associated with the local or Active Directory user or group. The available values are:
|
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |